namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：程序日志  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/21 10:18:13 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("programlog")]
    public class ProgramLogEntity : DEntityBase
    {
        /// <summary>
        /// 日志类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar",Length = 200)]
        public string LogType { get; set; }
        /// <summary>
        /// 日志消息
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "longtext")]
        public string MsgInfo { get; set; }
        /// <summary>
        /// 日期
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Date { get; set; }
        /// <summary>
        /// 时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Time { get; set; }
        /// <summary>
        /// 日志消息
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime CreateDate { get; set; }

    }
}
